import processing.core.*;
import java.util.ArrayList;

public class MonteCarloPI extends PApplet{ 
    float cntInsidePnts;
    float cntOutsidePnts;
    int winWidth = 400;
    PVector centre = new PVector(0,0);
    
    public void settings() {
        size(winWidth, winWidth);
    }
    
    public void setup() {
        background(255);
        //noFill();
        
        ellipse(centre.x,centre.y,2*winWidth,2*winWidth);
    }
    
    public void draw() {
        PVector newPnt = new PVector(random(0,winWidth),random(0,winWidth));
        if (dist(centre.x,centre.y,newPnt.x,newPnt.y)<winWidth) {
            stroke(255,0,0);
            cntInsidePnts++;    
        } else {
            stroke(0);
            cntOutsidePnts++;
        }
        ellipse(newPnt.x,newPnt.y,2,2);
        
        if (cntInsidePnts%50==0) {
            println(4*(cntInsidePnts)/(cntInsidePnts+cntOutsidePnts));
        }
    }
    
}